uses msgraph;
const bmp:array [0..5,0..5]of integer =
((0,1,2,2,1,0),
 (1,2,3,3,2,1),
 (2,3,3,3,3,2),
 (2,3,3,3,3,2),
 (1,2,3,3,2,1),
 (0,1,3,3,1,0));

const filename = 'beamhead.inc';
var a,i,j,k,x,y:byte;
    res:array [0..99] of byte;
    f:text;
begin
  assign (f,filename);
  rewrite(f);
  a:=_setvideomode(_vres16color);
  {a:=_RemapPalette( 1, $3F0000);
  a:=_RemapPalette( 2, $003F00);
  a:=_RemapPalette( 3, $00003F);}
  k := _imagesize (0,0,5,5);
writeln (f,'const BeamHead : array [0..3, North..West, 0..',k-1,'] of byte = (');
for j := 0 to 3 do
begin
write (f,'(');
{N}
  for y := 0 to 5 do
    for x := 0 to 5 do
    begin
      if bmp[y,x] <> 0 then
	_setcolor (bmp[y,x]+j*3)
      else
	_setcolor (0);
      _setpixel (x,y);
    end;
  _getimage(0,0,5,5,res[0]);
  write (f,'(');
  for i := 0 to k-1 do
  begin
    write (f,res[i]);
    if i <> k-1 then write (f,',');
{    if i mod 20 = 0 then writeln(f);}
  end;
  writeln(f,'),');
{E}
  for y := 0 to 5 do
    for x := 0 to 5 do
    begin
      if bmp[y,x] <> 0 then
	_setcolor (bmp[y,x]+j*3)
      else
	_setcolor (0);
      _setpixel (5-y,x);
    end;
  _getimage(0,0,5,5,res[0]);
  write (f,'(');
  for i := 0 to k-1 do
  begin
    write (f,res[i]);
    if i <> k-1 then write (f,',');
{    if i mod 20 = 0 then writeln(f);}
  end;
  writeln(f,'),');
{S}
  for y := 0 to 5 do
    for x := 0 to 5 do
    begin
      if bmp[y,x] <> 0 then
	_setcolor (bmp[y,x]+j*3)
      else
	_setcolor (0);
      _setpixel (5-x,5-y);
    end;
  _getimage(0,0,5,5,res[0]);
  write (f,'(');
  for i := 0 to k-1 do
  begin
    write (f,res[i]);
    if i <> k-1 then write (f,',');
{    if i mod 20 = 0 then writeln(f);}
  end;
  writeln(f,'),');
{W}
  for y := 0 to 5 do
    for x := 0 to 5 do
    begin
      if bmp[y,x] <> 0 then
	_setcolor (bmp[y,x]+j*3)
      else
	_setcolor (0);
      _setpixel (y,5-x);
    end;
  _getimage(0,0,5,5,res[0]);
  write (f,'(');
  for i := 0 to k-1 do
  begin
    write (f,res[i]);
    if i <> k-1 then write (f,',');
{    if i mod 20 = 0 then writeln(f);}
  end;
  write(f,'))');
  if j < 3 then write (f,',');
  writeln(f);
end;
  writeln(f,');');
  close(f);
end.

